export interface IDeviceInfo {
    userAgent?: string;
    browserName?: string;
    browserVersion?: string;
    deviceType?: string;
    osName?: string;
    osVersion?: string;
    screenWidth?: number;
    screenHeight?: number;
}
export declare class DeviceInfo {
    /**
     * User’s user agent string.
     */
    userAgent?: string;
    /**
     * User’s browser name.
     */
    browserName?: string;
    /**
     * User’s browser version.
     */
    browserVersion?: string;
    /**
     * User’s device type.
     */
    deviceType?: string;
    /**
     * User’s device orientation.
     */
    orientation?: string;
    /**
     * User’s operating system name.
     */
    osName?: string;
    /**
     * User’s operating system version.
     */
    osVersion?: string;
    /**
     * User’s screen width.
     */
    screenWidth?: number;
    /**
     * User’s screen height.
     */
    screenHeight?: number;
    /**
     * Breakpoints stored with key as breakpoint media query and value as boolean.
     */
    static Breakpoints: {
        [key: string]: boolean;
    };
    /**
     * Orientations stored with key as orientation media query and value as boolean.
     */
    static Orientations: {
        [key: string]: boolean;
    };
    constructor();
    getBrowserName(): string;
    getDeviceType(): string;
    getOrientation(): string;
    getOSName(): string;
    getOSVersion(): string;
    getBrowserVersion(): string;
    getOperaVersion(): string;
    getChromeVersion(): string;
    getSafariVersion(): string;
    getFirefoxVersion(): string;
    getIEVersion(): string;
    getScreenWidth(): number;
    getScreenHeight(): number;
    getDeviceInfo(): IDeviceInfo;
}
